Skip to main content

Bitmoji3DOptions

Class

The options used with requestBitmoji3DResource

  • Available on all platforms
Platform details: Snapchat, SPECS, Camera Kit Web, Camera Kit Mobile fully supported.

Platform details

  • Snapchat — Fully supported.

  • SPECS — Fully supported.

  • Camera Kit Web — Fully supported.

  • Camera Kit Mobile — Fully supported.

Index

Extends

Properties

animationParams

animationParams: AnimationParams

Used to set the animation params for the request type.

Since

Lens Scripting Version 313

Default Value

null

customParams

customParams: CustomParams

Used to set the custom params for the request type. You shouldn't need to modify these values directly. Instead you can use this API via the Bitmoji Suite.

Since

Lens Scripting Version 313

Default Value

null

optimizationParams

optimizationParams: OptimizationParams

Used to set optimization parameters for the Bitmoji 3D asset.

Since

Lens Scripting Version 337

Default Value

null

requestType

requestType: RequestType

Options used with requestBitmoji3DResourceWithOptions

Since

Lens Scripting Version 313

Default Value

Bitmoji3DOptions.RequestType.Avatar

user

user: SafeUser

The user which the Bitmoji should represent.

Since

Lens Scripting Version 256

Default Value

null

Methods

create()

static create(): Bitmoji3DOptions

Create the option.

Returns

Bitmoji3DOptions

Since

Lens Scripting Version 256


getTypeName()

static getTypeName(): TypeName<Bitmoji3DOptions>

Returns the fully-qualified JavaScript type name for this class (for example, "Component.Camera"). This is a static accessor (no instance required) and returns the same value as the instance getTypeName().

Returns

TypeName<Bitmoji3DOptions>

Overrides

ScriptObject.getTypeName


getTypeName()

getTypeName(): string

Returns the name of this object's type.

Returns

string

Inherited from

ScriptObject.getTypeName


isOfType()

isOfType(type): boolean

Returns true if the object matches or derives from the passed in type.

Parameters

ParameterType
typestring

Returns

boolean

Inherited from

ScriptObject.isOfType


isSame()

isSame(other): boolean

Returns true if this object is the same as other. Useful for checking if two references point to the same thing.

Parameters

ParameterType
otherScriptObject

Returns

boolean

Inherited from

ScriptObject.isSame

Nested types

Enumerations

EnumerationDescription
AvatarScopeEnum representing avatar scope used in custom params of bitmoji3d options.
BodyTypeEnum representing different body types for the avatar.
BreastTypeEnum representing different breast types for the avatar.
ClothingTypeEnum representing different types of clothing
GenderEnum representing the gender of the avatar.
RequestTypeEnum representing different request types.

Classes

ClassDescription
AnimationParamsUsed to set the animation params for the request type.
BaseBodyParamsBody parameters for base Bitmoji avatar customization. Used with requestBaseBitmoji3DResourceWithOptions to specify body type without relying on user avatar data.
CustomParamsThe custom params can be used for requesting bitmoji assets like garments. These can be set as custom params of Bitmoji3D options.
OptimizationParamsOptimization parameters for Bitmoji 3D assets. Note: We currently don't support these optimizations for body scoped custom override requests.
ParamSetSet of parameters used to customize specific parts of avatar such as garment, outerwear etc.